#pragma once

#include <d3d9.h>
#include <d3dx9.h>
#include <dxerr.h>
	
class CGraphics
{
private:
	// Direct3D
	LPDIRECT3D9 m_d3dObject;
	LPDIRECT3DDEVICE9 m_d3dDevice;

	LPDIRECT3DVERTEXBUFFER9 m_vertexBuffer;
	LPDIRECT3DINDEXBUFFER9  m_indexBuffer;

	D3DMATERIAL9 m_material;

	bool InitialiseDirect3D(HWND hWnd);
	bool SetupLighting();
	bool SetupMatrices();
	bool CreateCube();
	bool RenderCube();
	bool CheckHR(HRESULT hr);
public:
	bool Initialise(HWND hWnd);
	bool Render();
	CGraphics(void);
	~CGraphics(void);
};
